## org.apache.lucene.facet.taxonomy
Interface TaxonomyReader.ChildrenArrays

Enclosing interface:
  TaxonomyReader

    public static interface TaxonomyReader.ChildrenArrays

Equivalent representations of the taxonomy's parent info, used internally for efficient computation of facet results: "youngest child" and "oldest sibling"

Method Summary
`int[]` `getOlderSiblingArray()` getOlderSiblingArray() returns an int array of size getSize() listing for each category the ordinal of its immediate older sibling (the sibling in the taxonomy tree with the highest ordinal below that of the given ordinal).
`int[]` `getYoungestChildArray()` getYoungestChildArray() returns an int array of size getSize() listing the ordinal of the youngest (highest numbered) child category of each category in the taxonomy.

Method Detail

### getYoungestChildArray

    int[] getYoungestChildArray()

  getYoungestChildArray() returns an int array of size getSize() listing the ordinal of the youngest (highest numbered) child category of each category in the taxonomy. The value for a leaf category (a category without children) is `INVALID_ORDINAL`.

### getOlderSiblingArray

    int[] getOlderSiblingArray()

  getOlderSiblingArray() returns an int array of size getSize() listing for each category the ordinal of its immediate older sibling (the sibling in the taxonomy tree with the highest ordinal below that of the given ordinal). The value for a category with no older sibling is `INVALID_ORDINAL`.